## cryptui-key-combo

cryptui-key-combo

## Synopsis

    GtkComboBox*        cryptui_key_combo_new               (CryptUIKeyStore *ckstore);
    void                cryptui_key_combo_setup             (GtkComboBox *combo,
                                                             CryptUIKeyStore *ckstore);
    CryptUIKeyStore*    cryptui_key_combo_get_key_store     (GtkComboBox *combo);
    CryptUIKeyset*      cryptui_key_combo_get_keyset        (GtkComboBox *combo);
    void                cryptui_key_combo_set_key           (GtkComboBox *combo,
                                                             const gchar *key);
    const gchar*        cryptui_key_combo_get_key           (GtkComboBox *ckcombo);

## Description

## Details

### cryptui_key_combo_new ()

    GtkComboBox*        cryptui_key_combo_new               (CryptUIKeyStore *ckstore);

`ckstore` : |
Returns : |

### cryptui_key_combo_setup ()

    void                cryptui_key_combo_setup             (GtkComboBox *combo,
                                                             CryptUIKeyStore *ckstore);

`combo` : |
`ckstore` : |

### cryptui_key_combo_get_key_store ()

    CryptUIKeyStore*    cryptui_key_combo_get_key_store     (GtkComboBox *combo);

`combo` : |
Returns : |

### cryptui_key_combo_get_keyset ()

    CryptUIKeyset*      cryptui_key_combo_get_keyset        (GtkComboBox *combo);

`combo` : |
Returns : |

### cryptui_key_combo_set_key ()

    void                cryptui_key_combo_set_key           (GtkComboBox *combo,
                                                             const gchar *key);

`combo` : |
`key` : |

### cryptui_key_combo_get_key ()

    const gchar*        cryptui_key_combo_get_key           (GtkComboBox *ckcombo);

`ckcombo` : |
Returns : |